%define name samba-pdfwriter
%define ver 1.0
%define rel 2AX

Summary: PDF Writer via Samba Printer
Name: %{name}
Version: %{ver}
Release:  %{rel}
Copyright: GPL2
Group: Networking
Source: ftp://ftp.samba.gr.jp/pub/samba-jp/samba-pdfwriter/samba-pdfwriter-%{ver}.tar.bz2
Requires: samba ghostscript
Prereq: chkconfig fileutils
BuildRoot: %{_tmppath}/%{name}-%{ver}-root
Provides: PDF Writer
Patch0: samba-pdfwriter.miracle2.patch
Source1: README.ja_JP.eucJP

%description
PDF Writer via Samba Printer

%changelog
* Mon May 31 2004 Hideo Takeuchi <takeuchi@miraclelinux.com> samba-pdfwriter-1.0-2AX
- updated doc

* Fri Apr  2 2004 Shiro Yamada <shiro@miraclelinux.com> samba-pdfwriter-1.0-1AX
- rebuild for Asianux 1.0

* Mon Sep 10 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- change path of pdfwrite command.

* Thu Aug 9 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- remove require tag of truetype-fonts-ja

* Wed Jul 7 2001 Yasuma Takeda <yasuma@miraclelinux.com>
- Change directory from /home/samba to /var/samba

* Wed Apr 4 2001 ODAGIRI Koji <odagiri@samba.gr.jp>
- Support GhostScript 5.50

* Thu Mar 1 2001 ODAGIRI Koji <odagiri@samba.gr.jp>
- PDF Writer via Samba Printer

%prep
%setup -n samba-pdfwriter-%{ver}
%patch0 -p 1 -b .miracle2
%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/samba
mkdir -p $RPM_BUILD_ROOT/var/samba
mkdir -p $RPM_BUILD_ROOT/var/samba/bin
mkdir -p $RPM_BUILD_ROOT/var/samba/pdfoutput
mkdir -p $RPM_BUILD_ROOT/var/samba/work
mkdir -p $RPM_BUILD_ROOT/usr/bin
install -m755 pdfwrite $RPM_BUILD_ROOT/var/samba/bin/pdfwrite
install -m644 smb.conf.pdfwriter $RPM_BUILD_ROOT/etc/samba
mkdir -p $RPM_BUILD_ROOT//usr/share/doc/%{name}
cp -f %{SOURCE1} $RPM_BUILD_ROOT//usr/share/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
cat /etc/samba/smb.conf.pdfwriter >> /etc/samba/smb.conf

%preun

%postun

%files
%attr(-,root,root) %dir /var/samba
%attr(-,root,root) %dir /var/samba/bin
%attr(-,root,root) /var/samba/bin/pdfwrite
%attr(-,root,root) /etc/samba/smb.conf.pdfwriter
%attr(1777,root,nobody) %dir /var/samba/pdfoutput
%attr(0777,root,nobody) %dir /var/samba/work
%attr(0644,root,root) /usr/share/doc/%{name}/README.ja_JP.eucJP
